Get payment details - WalletConnect Pay Docs

Get payment details

cURL

curl --request GET \
  --url https://api.pay.walletconnect.com/v1/payments/{id} \
  --header 'Api-Key: <api-key>' \
  --header 'Merchant-Id: <merchant-id>'

Python

import requests

url = "https://api.pay.walletconnect.com/v1/payments/{id}"

headers = {
    "Api-Key": "<api-key>",
    "Merchant-Id": "<merchant-id>"
}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'GET',
  headers: {'Api-Key': '<api-key>', 'Merchant-Id': '<merchant-id>'}
};

fetch('https://api.pay.walletconnect.com/v1/payments/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Example Response

{
  "info": {
    "optionAmount": {
      "display": {
        "assetName": "USD Coin",
        "assetSymbol": "USDC",
        "decimals": 6,
        "iconUrl": "https://assets.walletconnect.com/usdc.png",
        "networkIconUrl": "https://assets.walletconnect.com/base.png",
        "networkName": "Base"
      },
      "unit": "caip19/eip155:8453/erc20:0x0000000000000000000000000000000000000000",
      "value": "1000000"
    },
    "txId": "0xabc123..."
  },
  "referenceId": "ORDER-123",
  "settlement": null,
  "status": "succeeded"
}

Authorization Headers

Header Type Required
Api-Key string required
Merchant-Id string required

Path Parameters

Example Payment ID

"pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV"